const express = require('express');
const router = express.Router();
const mongoose = require("mongoose")


const serviceRecordSchema = new mongoose.Schema({
    serviceRecordCode: { type: String, required: true, unique: true },
    date: { type: Date, required: true },
    car: { type: mongoose.Types.ObjectId, ref: 'Car', required: true },
    servicename :{type: mongoose.Types.ObjectId , ref:'Service' , required:true}
})


module.exports = mongoose.model("ServiceRecord", serviceRecordSchema)